import javax.swing.*;
class H7Ex1 {
public static void main(String args[])
{noktaX    n = new noktaX(7,11);
 daireX    d = new daireX(3.5,22,8);
 silindirX s = new silindirX(10,3.3,10,10);
 sekilX    a[] = new sekilX[3];
 a[0]=n;a[1]=d;a[2]=s; 
 String yazi="direk çağırma : \n";
        yazi+=n.isim()+": "+n.toString()+"\n";
        yazi+=d.isim()+": "+d.toString()+"\n";
        yazi+=s.isim()+": "+s.toString()+"\n";
 yazi+="indirek çağırma : \n";
 for(int i=0;i<a.length;i++)
 {yazi+=a[i].isim()+": "+a[i].toString()+"\n";}
 String s1="indirek adres kullanma";
 JOptionPane.showMessageDialog(null,yazi,s1,JOptionPane.PLAIN_MESSAGE);
}
}
